summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNarayan Desai <desai@mcs.anl.gov>2009-11-01 02:41:05 +0000
committerNarayan Desai <desai@mcs.anl.gov>2009-11-01 02:41:05 +0000
commit44af80804e5d5e6d8254e7ca714a3df340d7dd2e (patch)
tree844619891457a3a276f07752174311d3ad11f2e3
parent9a251821f37f896c1b62fed6c6e5fea364599f0e (diff)
downloadbcfg2-44af80804e5d5e6d8254e7ca714a3df340d7dd2e.tar.gz
bcfg2-44af80804e5d5e6d8254e7ca714a3df340d7dd2e.tar.bz2
bcfg2-44af80804e5d5e6d8254e7ca714a3df340d7dd2e.zip
Version bump to 1.0.0rc2
git-svn-id: https://svn.mcs.anl.gov/repos/bcfg/trunk/bcfg2@5519 ce84e21b-d406-0410-9b95-82705330c041
-rw-r--r--debian/changelog6
-rw-r--r--gentoo/bcfg2-1.0.0_rc2.ebuild55
-rw-r--r--misc/bcfg2.spec6
-rw-r--r--redhat/VERSION2
-rw-r--r--setup.py2
5 files changed, 66 insertions, 5 deletions
diff --git a/debian/changelog b/debian/changelog
index 88fd9da30..bddbaf14d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+bcfg2 (1.0.0~1.0.0rc2-0.1) unstable; urgency=low
+
+ * new release candidate
+
+ -- Narayan Desai <desai@mcs.anl.gov> Sat, 31 Oct 2009 21:38:35 -0500
+
bcfg2 (1.0.0rc1-1) unstable; urgency=low
* Update packaging
diff --git a/gentoo/bcfg2-1.0.0_rc2.ebuild b/gentoo/bcfg2-1.0.0_rc2.ebuild
new file mode 100644
index 000000000..6b366dcb0
--- /dev/null
+++ b/gentoo/bcfg2-1.0.0_rc2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit distutils
+
+DESCRIPTION="Bcfg2 is a configuration management tool."
+HOMEPAGE="http://trac.mcs.anl.gov/projects/bcfg2"
+
+# handle the "pre" case
+MY_P="${P/_/}"
+SRC_URI="ftp://ftp.mcs.anl.gov/pub/bcfg/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="1"
+KEYWORDS="~amd64 ~x86"
+IUSE="server"
+
+DEPEND=">=dev-lang/python-2.5"
+
+RDEPEND="app-portage/gentoolkit
+ || ( dev-python/ssl-py26 >=dev-lang/python-2.6 )
+ server? (
+ dev-python/lxml
+ app-admin/gam-server )"
+
+src_install() {
+ distutils_src_install --record=PY_SERVER_LIBS --install-scripts /usr/sbin
+
+ # Remove files only necessary for a server installation
+ if ! use server; then
+ rm -rf "${D}"/usr/sbin/bcfg2-*
+ rm -rf "${D}"/usr/share/bcfg2
+ rm -rf "${D}"/usr/share/man/man8
+ fi
+
+ # Install a server init.d script
+ if use server; then
+ newinitd "${FILESDIR}"/bcfg2-server.rc bcfg2-server
+ fi
+
+ insinto /etc
+ doins "${S}"/examples/bcfg2.conf
+}
+
+pkg_postinst () {
+ depscan.sh
+ use server && einfo "If this is a new installation, you probably need to run: "
+ use server && einfo " bcfg2-admin init"
+}
+
+pkg_postrm () {
+ depscan.sh
+}
diff --git a/misc/bcfg2.spec b/misc/bcfg2.spec
index bca245f3a..d3ea44e4a 100644
--- a/misc/bcfg2.spec
+++ b/misc/bcfg2.spec
@@ -13,14 +13,14 @@
%define lxmldep %(rpm -q %{alt_lxml} 2>&1 > /dev/null && echo %{alt_lxml} || echo %{dfl_lxml})
Name: bcfg2
-Version: 1.0.0rc1
+Version: 1.0.0rc2
Release: %{release}
Summary: Configuration management system
Group: Applications/System
License: BSD
URL: http://trac.mcs.anl.gov/projects/bcfg2
-Source0: ftp://ftp.mcs.anl.gov/pub/bcfg/bcfg2-1.0.0rc1.tar.gz
+Source0: ftp://ftp.mcs.anl.gov/pub/bcfg/bcfg2-1.0.0rc2.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
@@ -91,7 +91,7 @@ Bcfg2 can enable the construction of complex change management and
deployment strategies.
%prep
-%setup -q -n bcfg2-1.0.0rc1
+%setup -q -n bcfg2-1.0.0rc2
%build
%{__python}%{pythonversion} setup.py build
diff --git a/redhat/VERSION b/redhat/VERSION
index 6a056a8b1..8862dbae5 100644
--- a/redhat/VERSION
+++ b/redhat/VERSION
@@ -1 +1 @@
-1.0.0rc1
+1.0.0rc2
diff --git a/setup.py b/setup.py
index 414fb11f8..10a218b49 100644
--- a/setup.py
+++ b/setup.py
@@ -4,7 +4,7 @@ from distutils.core import setup
from glob import glob
setup(name="Bcfg2",
- version="1.0.0rc1",
+ version="1.0.0rc2",
description="Bcfg2 Server",
author="Narayan Desai",
author_email="desai@mcs.anl.gov",